Bug 1118572 - [RFE][horizon]: Improved Security Group and Rule Creation
Summary: [RFE][horizon]: Improved Security Group and Rule Creation
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/hori...
Whiteboard: upstream_milestone_none upstream_defi...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 04:08 UTC by RHOS Integration
Modified: 2015-08-27 04:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 17:06:08 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-07-11 04:08:40 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/horizon/+spec/horizon-improved-security-group-and-rule-creation.

Description:

The current Horizon UI for security group and rule creation doesn't allow for much flexibility or portability with rules. Adding rules one at a time can be very tedious, and there doesn't seem to be an easy way to take a security group you set up in one instance and use it in a different instance of OpenStack, other than manually recreating it. It could also be nice to offer prebuilt sets of rules if there are sets of ports that need to be opened for common use cases/tasks, and users could extend them or pull those into existing security groups.

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.